Browse Source

d/ghc: Removed.

slackware-14.2
Damien Goutte-Gattat 5 years ago
parent
commit
8717c1233f
  1. 1
      d/ghc/ghc-7.6.3-x86_64-unknown-linux.tar.bz2.sha1
  2. 106
      d/ghc/ghc.SlackBuild
  3. 12
      d/ghc/slack-desc
  4. 3
      d/haskell-platform/doinst.sh
  5. 44
      d/haskell-platform/haskell-platform-2013.2.0.0-fix-install.diff
  6. 1
      d/haskell-platform/haskell-platform-2013.2.0.0.tar.gz.sha1
  7. 102
      d/haskell-platform/haskell-platform.SlackBuild
  8. 12
      d/haskell-platform/slack-desc

1
d/ghc/ghc-7.6.3-x86_64-unknown-linux.tar.bz2.sha1

@ -1 +0,0 @@
46ec3f3352ff57fba0dcbc8d9c20f7bcb6924b77 ghc-7.6.3-x86_64-unknown-linux.tar.bz2

106
d/ghc/ghc.SlackBuild

@ -1,106 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2014 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest ghc sourcecode is available at: <http://www.haskell.org/>.
# Source package infos
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
NAMESRC=${NAMESRC:-ghc}
VERSION=${VERSION:-7.6.3}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION-$ARCH-unknown-linux.tar.bz2}
WGET=${WGET:-http://www.haskell.org/ghc/dist/$VERSION/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-ghc}
BUILD=${BUILD:-1GGD}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
LIBDIRSUFFIX=""
[ "x$ARCH" = xx86_64 ] && LIBDIRSUFFIX="64"
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha1sum -c $ARCHIVE.sha1
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Install
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
./configure \
--prefix=/usr \
--libdir=/usr/lib$LIBDIRSUFFIX \
--mandir=/usr/man \
--docdir=/usr/doc/$NAME
make install DESTDIR=$PKG
# Strip binaries
find $PKG | xargs file | grep "ELF \(32\|64\)-bit LSB" | cut -d : -f 1 | \
xargs strip --strip-unneeded 2> /dev/null
# Compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
# Install the documentation
install -m 644 LICENSE README $PKG/usr/doc/$NAME
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

12
d/ghc/slack-desc

@ -1,12 +0,0 @@
|-----handy-ruler-----------------------------------------------------|
ghc: ghc (the Glasgow Haskell Compiler)
ghc:
ghc: This is a binary distribution of GHC, a compiler and interactive
ghc: environment for the Haskell functional programming language.
ghc:
ghc:
ghc:
ghc:
ghc:
ghc:
ghc:

3
d/haskell-platform/doinst.sh

@ -1,3 +0,0 @@
#!/bin/sh
usr/bin/ghc-pkg recache

44
d/haskell-platform/haskell-platform-2013.2.0.0-fix-install.diff

@ -1,44 +0,0 @@
diff -Naur haskell-platform-2013.2.0.0.orig/scripts/build.sh haskell-platform-2013.2.0.0/scripts/build.sh
--- haskell-platform-2013.2.0.0.orig/scripts/build.sh 2013-05-04 22:56:20.000000000 +0200
+++ haskell-platform-2013.2.0.0/scripts/build.sh 2014-05-06 17:29:14.859271540 +0200
@@ -66,7 +66,6 @@
[ -f Setup ] && rm Setup
- GHC_PACKAGE_PATH="${ORIG_GHC_PACKAGE_PATH}" \
tell ${GHC} --make Setup -o Setup -package "${CABAL_PKG_VER}" \
|| die "Compiling the Setup script failed"
[ -x Setup ] || die "The Setup script does not exist or cannot be run"
@@ -104,6 +103,7 @@
tell ./Setup configure ${CABAL_PKGDB} \
--package-db="../../${PACKAGE_DB}" --prefix="${prefix}" \
+ --libdir="${libdir}" --libsubdir=ghc-7.6.3/$PKG \
--with-compiler=${GHC} --with-hc-pkg=${GHC_PKG} --with-hsc2hs=${HSC2HS} \
${HAPPY_FLAG1} ${HAPPY_FLAG2} ${ALEX_FLAG} \
${CABAL_INSTALL_FLAG} ${CABAL_PROFILING_FLAG} ${CABAL_SHARED_FLAG} \
diff -Naur haskell-platform-2013.2.0.0.orig/scripts/install.sh haskell-platform-2013.2.0.0/scripts/install.sh
--- haskell-platform-2013.2.0.0.orig/scripts/install.sh 2013-05-04 22:56:20.000000000 +0200
+++ haskell-platform-2013.2.0.0/scripts/install.sh 2014-05-06 17:30:06.954711487 +0200
@@ -21,10 +21,10 @@
[ -x Setup ] || die "The ${PKG}/Setup script does not exist or cannot be run"
- ./Setup copy ${VERBOSE} \
+ ./Setup copy ${VERBOSE} --destdir="${DESTDIR}" \
|| die "Installing the ${PKG} component failed"
- ./Setup register ${VERBOSE} --gen-pkg-config="${PKG}.conf" \
+ ./Setup register ${VERBOSE} --gen-pkg-config="${DESTDIR}${libdir}/ghc-7.6.3/package.conf.d/${PKG}.conf" \
|| die "Generating the registration information for the package ${PKG} failed"
if [ -f ${PKG}.conf ]; then
@@ -40,6 +40,8 @@
cd ../..
}
+mkdir -p "${DESTDIR}${libdir}/ghc-7.6.3/package.conf.d"
+
# Actually do something!
for pkg in `cat packages/platform.packages`; do
if is_pkg_installed "${pkg}"; then

1
d/haskell-platform/haskell-platform-2013.2.0.0.tar.gz.sha1

@ -1 +0,0 @@
8669bb5add1826c0523fb130c095fb8bf23a30ce haskell-platform-2013.2.0.0.tar.gz

102
d/haskell-platform/haskell-platform.SlackBuild

@ -1,102 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2014 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest haskell-platform sourcecode is available at:
# <http://www.haskell.org/>.
#
# Depends: d/ghc
# Source package infos
NAMESRC=${NAMESRC:-haskell-platform}
VERSION=${VERSION:-2013.2.0.0}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.gz}
WGET=${WGET:-http://www.haskell.org/platform/download/2013.2.0.0/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-haskell-platform}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
LIBDIRSUFFIX=""
[ "x$ARCH" == xx86_64 ] && LIBDIRSUFFIX=64
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha1sum -c $ARCHIVE.sha1
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
patch -p 1 < $CWD/haskell-platform-2013.2.0.0-fix-install.diff
./configure --prefix=/usr --libdir=/usr/lib$LIBDIRSUFFIX
make
make install DESTDIR=$PKG
# Install the documentation
mkdir -p $PKG/usr/doc
mv $PKG/usr/share/doc $PKG/usr/doc/$NAME
# Copy slack-desc and doinst.sh files
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
install -m 755 $CWD/doinst.sh $PKG/install/doinst.sh
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

12
d/haskell-platform/slack-desc

@ -1,12 +0,0 @@
|-----handy-ruler-----------------------------------------------------|
haskell-platform: haskell-platform (Haskell programming environment)
haskell-platform:
haskell-platform: The Haskell Platform is a comprehensive, robust development
haskell-platform: environment for programming in Haskell.
haskell-platform:
haskell-platform:
haskell-platform:
haskell-platform:
haskell-platform:
haskell-platform:
haskell-platform:
Loading…
Cancel
Save